Bug 1002320 - support importing a directory / guest-images rhel image
support importing a directory / guest-images rhel image
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-image-uploader (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Oved Ourfali
Jiri Belka
integration
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-28 17:55 EDT by Itamar Heim
Modified: 2015-09-22 09 EDT (History)
8 users (show)

See Also:
Fixed In Version: rhevm-image-uploader-3.3.0-1.el6ev
Doc Type: Enhancement
Doc Text:
rhevm-image-uploader now supports importing a directory structure containing images and OVFs, in addition to the current support provided for OVA format (compressed OVF directories).
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 11:32:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 18462 None None None Never
Red Hat Product Errata RHBA-2014:0078 normal SHIPPED_LIVE rhevm-image-uploader bug fix and enhancement update 2014-01-21 15:36:35 EST

  None (edit)
Description Itamar Heim 2013-08-28 17:55:19 EDT
ovirt-image-uploader now supports importing a directory structure contianing images and ovf's, rather than just an ova.

RHEL 6.5 guest-image rpm will include this directory structure.
it should also contain a readme file with the usage (bug 1002318)

while this bug is opened on image-uploader, please cover in testing the integration with guest-images based image and cloud-init:

1. image-upload of the image to rhev / import / start works
2. add-on to #1: start with cloud-init parameters behaves correctly wrt cloud-init embedded in the image.
Comment 5 Jiri Belka 2013-10-01 09:20:40 EDT
engine-image-uploader is not recursive in is17/rhevm-image-uploader-3.3.0-1.el6ev.noarch.

VMs on my 1st export domain:

# fgrep -RH '<Name>' e07e1a31-2002-4686-863d-c7a3b960acba/master | perl -pe 's/.*<Name>([^<]*).*/$1/;'
test001
test002

VMs on my export domain attached to rhevm 3.3/is17:

#  fgrep -RH '<Name>' ca414eb9-98ab-422f-8c4e-c2c513231058/master/ | perl -pe 's/.*<Name>([^<]*).*/$1/;'
vm1
jb-w2k8-x64
jb-w2k8r2
jb-wxp
jb-w8-x86
jb-w7-x64
jb-w2k3r2
jb-w2k12
jb-w2k3-x86
jb-w7-x86
vm2
jb-w8-x64
jb-w2k8-x86

Only one VM uploaded:

#  fgrep -RH '<Name>' ca414eb9-98ab-422f-8c4e-c2c513231058/master/ | perl -pe 's/.*<Name>([^<]*).*/$1/;' | grep test
test001

-%-
DEBUG: API Vendor(Red Hat)	API Version(3.3.0)
DEBUG: id=ca414eb9-98ab-422f-8c4e-c2c513231058 address=10.34.63.202 path=/mnt/export/nfs/lv1/jbelka/export
DEBUG: local NFS mount point is /tmp/tmpNGwQe5
DEBUG: NFS mount command (/bin/mount -t nfs -o rw,sync,soft 10.34.63.202:/mnt/export/nfs/lv1/jbelka/export /tmp/tmpNGwQe5)
DEBUG: /bin/mount -t nfs -o rw,sync,soft 10.34.63.202:/mnt/export/nfs/lv1/jbelka/export /tmp/tmpNGwQe5
DEBUG: _cmds(['/bin/mount', '-t', 'nfs', '-o', 'rw,sync,soft', '10.34.63.202:/mnt/export/nfs/lv1/jbelka/export', '/tmp/tmpNGwQe5'])
DEBUG: returncode(0)
DEBUG: STDOUT()
DEBUG: STDERR()
DEBUG: OVF data e07e1a31-2002-4686-863d-c7a3b960acba/ is a directory
DEBUG: File is e07e1a31-2002-4686-863d-c7a3b960acba/master/vms/30c12dfd-5e1c-423a-bb66-18f01588703a/30c12dfd-5e1c-423a-bb66-18f01588703a.ovf
DEBUG: tag(Section) text(
      ) attr({'{http://www.w3.org/2001/XMLSchema-instance}type': 'ovf:VirtualHardwareSection_Type'}) class(<Element Section at 208f9f0>)
DEBUG: item tag(Item) item text(
        ) item attr({}) class(<Element Item at 208f940>)
DEBUG: tag({http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData}Caption) value(1 virtual cpu)
DEBUG: tag({http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData}Description) value(Number of virtual CPU)
DEBUG: tag({http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData}InstanceId) value(1)
DEBUG: tag({http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData}ResourceType) value(3)
DEBUG: tag({http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData}num_of_sockets) value(1)
DEBUG: tag({http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData}cpu_per_socket) value(1)
DEBUG: item tag(Item) item text(
        ) item attr({}) class(<Element Item at 208f8e8>)
DEBUG: tag({http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData}Caption) value(512 MB of memory)
DEBUG: tag({http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData}Description) value(Memory Size)
DEBUG: tag({http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData}InstanceId) value(2)
DEBUG: tag({http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData}ResourceType) value(4)
DEBUG: tag({http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData}AllocationUnits) value(MegaBytes)
DEBUG: tag({http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData}VirtualQuantity) value(512)
DEBUG: item tag(Item) item text(
        ) item attr({}) class(<Element Item at 208f890>)
DEBUG: tag({http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData}Caption) value(test001_Disk1)
DEBUG: tag({http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData}InstanceId) value(587de6ac-4c87-4c10-820b-7656cac4e718)
DEBUG: tag({http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData}ResourceType) value(17)
DEBUG: tag({http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData}HostResource) value(1b46f223-74b0-4241-bee9-becd6ee0dcd3/587de6ac-4c87-4c10-820b-7656cac4e718)
DEBUG: tag({http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData}Parent) value(00000000-0000-0000-0000-000000000000)
DEBUG: tag({http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData}Template) value(00000000-0000-0000-0000-000000000000)
DEBUG: tag({http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData}ApplicationList) value(None)
DEBUG: tag({http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData}StorageId) value(f15b179b-bbca-4d19-bc1b-fccb2e2fad95)
DEBUG: tag({http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData}StoragePoolId) value(5849b030-626e-47cb-ad90-3ce782d831b3)
DEBUG: tag({http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData}CreationDate) value(2013/09/25 11:59:42)
DEBUG: tag({http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData}LastModified) value(2013/09/25 11:59:42)
DEBUG: tag({http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData}last_modified_date) value(2013/10/01 13:10:18)
DEBUG: tag(Type) value(disk)
DEBUG: tag(Device) value(disk)
DEBUG: tag({http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData}Address) value(None)
DEBUG: tag(BootOrder) value(0)
DEBUG: tag(IsPlugged) value(true)
DEBUG: tag(IsReadOnly) value(false)
DEBUG: tag(Alias) value(None)
DEBUG: item tag(Item) item text(
        ) item attr({}) class(<Element Item at 208f838>)
DEBUG: tag({http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData}Caption) value(USB Controller)
DEBUG: tag({http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData}InstanceId) value(3)
DEBUG: tag({http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData}ResourceType) value(23)
DEBUG: tag({http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData}UsbPolicy) value(DISABLED)
DEBUG: item tag(Item) item text(
        ) item attr({}) class(<Element Item at 208f7e0>)
DEBUG: tag({http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData}Caption) value(Graphical Controller)
DEBUG: tag({http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData}InstanceId) value(570c314b-4107-4a26-b898-fd5e8dc56072)
DEBUG: tag({http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData}ResourceType) value(20)
DEBUG: tag({http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData}VirtualQuantity) value(1)
DEBUG: tag(Type) value(video)
DEBUG: tag(Device) value(qxl)
DEBUG: tag({http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData}Address) value(None)
DEBUG: tag(BootOrder) value(0)
DEBUG: tag(IsPlugged) value(true)
DEBUG: tag(IsReadOnly) value(true)
DEBUG: tag(Alias) value(None)
DEBUG: tag(SpecParams) value(
          )
DEBUG: item tag(Item) item text(
        ) item attr({}) class(<Element Item at 208f788>)
DEBUG: tag({http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData}ResourceType) value(0)
DEBUG: tag({http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData}InstanceId) value(477d0c15-edc7-46db-9be5-d652363d8842)
DEBUG: tag(Type) value(balloon)
DEBUG: tag(Device) value(memballoon)
DEBUG: tag({http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData}Address) value(None)
DEBUG: tag(BootOrder) value(0)
DEBUG: tag(IsPlugged) value(true)
DEBUG: tag(IsReadOnly) value(true)
DEBUG: tag(Alias) value(None)
DEBUG: tag(SpecParams) value(
          )
DEBUG: item tag(Item) item text(
        ) item attr({}) class(<Element Item at 208f730>)
DEBUG: tag({http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData}ResourceType) value(0)
DEBUG: tag({http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData}InstanceId) value(f4db71bc-f7bd-418a-8370-9f689c1b444e)
DEBUG: tag(Type) value(sound)
DEBUG: tag(Device) value(ich6)
DEBUG: tag({http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_ResourceAllocationSettingData}Address) value(None)
DEBUG: tag(BootOrder) value(0)
DEBUG: tag(IsPlugged) value(true)
DEBUG: tag(IsReadOnly) value(true)
DEBUG: tag(Alias) value(None)
DEBUG: tag(Section) text(
      ) attr({'{http://www.w3.org/2001/XMLSchema-instance}type': 'ovf:VirtualHardwareSection_Type'}) class(<Element Section at 208f9f0>)
DEBUG: item tag(Item) item text(
        ) item attr({}) class(<Element Item at 208f940>)
DEBUG: item tag(Item) item text(
        ) item attr({}) class(<Element Item at 208f8e8>)
DEBUG: item tag(Item) item text(
        ) item attr({}) class(<Element Item at 208f890>)
DEBUG: New image id(84074688-0f05-4774-ad1c-07297758808d) new image group id(73b240ae-9eca-4024-8fd9-fdd7504b647e/84074688-0f05-4774-ad1c-07297758808d)
DEBUG: old group id (1b46f223-74b0-4241-bee9-becd6ee0dcd3) proposed new group id (73b240ae-9eca-4024-8fd9-fdd7504b647e)
DEBUG: old image id(587de6ac-4c87-4c10-820b-7656cac4e718) old image group id(1b46f223-74b0-4241-bee9-becd6ee0dcd3/587de6ac-4c87-4c10-820b-7656cac4e718)
DEBUG: References tag(References) References text(
    ) References attr({}) class(<Element References at 208faa0>)
DEBUG: File tag(File) File text(None) File attr({'{http://schemas.dmtf.org/ovf/envelope/1/}id': '587de6ac-4c87-4c10-820b-7656cac4e718', '{http://schemas.dmtf.org/ovf/envelope/1/}size': '1073741824', '{http://schemas.dmtf.org/ovf/envelope/1/}description': 'Active VM', '{http://schemas.dmtf.org/ovf/envelope/1/}href': '1b46f223-74b0-4241-bee9-becd6ee0dcd3/587de6ac-4c87-4c10-820b-7656cac4e718'}) class(<Element File at 208f520>)
DEBUG: Setting {http://schemas.dmtf.org/ovf/envelope/1/}id and {http://schemas.dmtf.org/ovf/envelope/1/}href to 84074688-0f05-4774-ad1c-07297758808d and 73b240ae-9eca-4024-8fd9-fdd7504b647e/84074688-0f05-4774-ad1c-07297758808d
DEBUG: File tag(Nic) File text(None) File attr({'{http://schemas.dmtf.org/ovf/envelope/1/}id': '53d7fd1b-0d54-4932-8d13-6e0f4aa0d2c0'}) class(<Element Nic at 208f4c8>)
DEBUG: tag(Info) text(List of Virtual Disks) attr({}) class(<Element Info at 208f310>)
DEBUG: tag(Info) text(List of Virtual Disks) attr({}) class(<Element Info at 208f310>)
DEBUG: tag(Disk) text(None) attr({'{http://schemas.dmtf.org/ovf/envelope/1/}wipe-after-delete': 'false', '{http://schemas.dmtf.org/ovf/envelope/1/}format': 'http://www.vmware.com/specifications/vmdk.html#sparse', '{http://schemas.dmtf.org/ovf/envelope/1/}vm_snapshot_id': '1e8816ff-c97e-49d3-9618-729a202a1bdd', '{http://schemas.dmtf.org/ovf/envelope/1/}parentRef': '', '{http://schemas.dmtf.org/ovf/envelope/1/}fileRef': '1b46f223-74b0-4241-bee9-becd6ee0dcd3/587de6ac-4c87-4c10-820b-7656cac4e718', '{http://schemas.dmtf.org/ovf/envelope/1/}actual_size': '0', '{http://schemas.dmtf.org/ovf/envelope/1/}disk-alias': 'test001_Disk1', '{http://schemas.dmtf.org/ovf/envelope/1/}volume-format': 'RAW', '{http://schemas.dmtf.org/ovf/envelope/1/}boot': 'true', '{http://schemas.dmtf.org/ovf/envelope/1/}size': '1', '{http://schemas.dmtf.org/ovf/envelope/1/}volume-type': 'Sparse', '{http://schemas.dmtf.org/ovf/envelope/1/}diskId': '587de6ac-4c87-4c10-820b-7656cac4e718', '{http://schemas.dmtf.org/ovf/envelope/1/}disk-interface': 'VirtIO'}) class(<Element Disk at 208f368>)
DEBUG: tag(Disk) text(None) attr({'{http://schemas.dmtf.org/ovf/envelope/1/}wipe-after-delete': 'false', '{http://schemas.dmtf.org/ovf/envelope/1/}format': 'http://www.vmware.com/specifications/vmdk.html#sparse', '{http://schemas.dmtf.org/ovf/envelope/1/}vm_snapshot_id': '1e8816ff-c97e-49d3-9618-729a202a1bdd', '{http://schemas.dmtf.org/ovf/envelope/1/}parentRef': '', '{http://schemas.dmtf.org/ovf/envelope/1/}fileRef': '1b46f223-74b0-4241-bee9-becd6ee0dcd3/587de6ac-4c87-4c10-820b-7656cac4e718', '{http://schemas.dmtf.org/ovf/envelope/1/}actual_size': '0', '{http://schemas.dmtf.org/ovf/envelope/1/}disk-alias': 'test001_Disk1', '{http://schemas.dmtf.org/ovf/envelope/1/}volume-format': 'RAW', '{http://schemas.dmtf.org/ovf/envelope/1/}boot': 'true', '{http://schemas.dmtf.org/ovf/envelope/1/}size': '1', '{http://schemas.dmtf.org/ovf/envelope/1/}volume-type': 'Sparse', '{http://schemas.dmtf.org/ovf/envelope/1/}diskId': '587de6ac-4c87-4c10-820b-7656cac4e718', '{http://schemas.dmtf.org/ovf/envelope/1/}disk-interface': 'VirtIO'}) class(<Element Disk at 208f368>)
DEBUG: File is e07e1a31-2002-4686-863d-c7a3b960acba/images/1b46f223-74b0-4241-bee9-becd6ee0dcd3/587de6ac-4c87-4c10-820b-7656cac4e718
DEBUG: Image file(e07e1a31-2002-4686-863d-c7a3b960acba/images/1b46f223-74b0-4241-bee9-becd6ee0dcd3/587de6ac-4c87-4c10-820b-7656cac4e718) Image dir(e07e1a31-2002-4686-863d-c7a3b960acba/images/1b46f223-74b0-4241-bee9-becd6ee0dcd3)
DEBUG: old file(e07e1a31-2002-4686-863d-c7a3b960acba/images/1b46f223-74b0-4241-bee9-becd6ee0dcd3/587de6ac-4c87-4c10-820b-7656cac4e718) new file(e07e1a31-2002-4686-863d-c7a3b960acba/images/1b46f223-74b0-4241-bee9-becd6ee0dcd3/84074688-0f05-4774-ad1c-07297758808d)
DEBUG: File is e07e1a31-2002-4686-863d-c7a3b960acba/images/1b46f223-74b0-4241-bee9-becd6ee0dcd3/587de6ac-4c87-4c10-820b-7656cac4e718.meta
DEBUG: Meta file is e07e1a31-2002-4686-863d-c7a3b960acba/images/1b46f223-74b0-4241-bee9-becd6ee0dcd3/587de6ac-4c87-4c10-820b-7656cac4e718.meta
DEBUG: Writing meta file
DOMAIN=e07e1a31-2002-4686-863d-c7a3b960acba
VOLTYPE=LEAF
CTIME=1380633002
FORMAT=RAW
IMAGE=73b240ae-9eca-4024-8fd9-fdd7504b647e
DISKTYPE=2
PUUID=00000000-0000-0000-0000-000000000000
LEGALITY=LEGAL
MTIME=1380633002
POOL_UUID=
DESCRIPTION=
TYPE=SPARSE
SIZE=2097152
EOF

DEBUG: old meta file(e07e1a31-2002-4686-863d-c7a3b960acba/images/1b46f223-74b0-4241-bee9-becd6ee0dcd3/587de6ac-4c87-4c10-820b-7656cac4e718.meta) new meta file(e07e1a31-2002-4686-863d-c7a3b960acba/images/1b46f223-74b0-4241-bee9-becd6ee0dcd3/84074688-0f05-4774-ad1c-07297758808d.meta)
DEBUG: old dir(e07e1a31-2002-4686-863d-c7a3b960acba/images/1b46f223-74b0-4241-bee9-becd6ee0dcd3) new dir(e07e1a31-2002-4686-863d-c7a3b960acba/images/73b240ae-9eca-4024-8fd9-fdd7504b647e)
DEBUG: item tag(Item) item text(
        ) item attr({}) class(<Element Item at 208f838>)
DEBUG: item tag(Item) item text(
        ) item attr({}) class(<Element Item at 208f7e0>)
DEBUG: item tag(Item) item text(
        ) item attr({}) class(<Element Item at 208f788>)
DEBUG: item tag(Item) item text(
        ) item attr({}) class(<Element Item at 208f730>)
DEBUG: Meta file is e07e1a31-2002-4686-863d-c7a3b960acba/images/73b240ae-9eca-4024-8fd9-fdd7504b647e/84074688-0f05-4774-ad1c-07297758808d.meta
DEBUG: PUUID(['00000000-0000-0000-0000-000000000000'])
DEBUG: Image dictionary {'587de6ac-4c87-4c10-820b-7656cac4e718': '84074688-0f05-4774-ad1c-07297758808d'}
DEBUG: Meta file is e07e1a31-2002-4686-863d-c7a3b960acba/images/4e32d218-3b0e-476c-afc1-b301fff5e52e/200d92fe-29cd-4e72-ba05-0c73fdf4fac2.meta
DEBUG: PUUID(['00000000-0000-0000-0000-000000000000'])
DEBUG: Image dictionary {'587de6ac-4c87-4c10-820b-7656cac4e718': '84074688-0f05-4774-ad1c-07297758808d'}
DEBUG: tag(Section) text(
      ) attr({'{http://www.w3.org/2001/XMLSchema-instance}type': 'ovf:VirtualHardwareSection_Type'}) class(<Element Section at 208f9f0>)
DEBUG: item tag(Item) item text(
        ) item attr({}) class(<Element Item at 208f940>)
DEBUG: item tag(Item) item text(
        ) item attr({}) class(<Element Item at 208f8e8>)
DEBUG: item tag(Item) item text(
        ) item attr({}) class(<Element Item at 208f890>)
DEBUG: item tag(Item) item text(
        ) item attr({}) class(<Element Item at 208f838>)
DEBUG: item tag(Item) item text(
        ) item attr({}) class(<Element Item at 208f7e0>)
DEBUG: item tag(Item) item text(
        ) item attr({}) class(<Element Item at 208f788>)
DEBUG: item tag(Item) item text(
        ) item attr({}) class(<Element Item at 208f730>)
DEBUG: tag(Info) text(List of Virtual Disks) attr({}) class(<Element Info at 208f310>)
DEBUG: tag(Disk) text(None) attr({'{http://schemas.dmtf.org/ovf/envelope/1/}wipe-after-delete': 'false', '{http://schemas.dmtf.org/ovf/envelope/1/}format': 'http://www.vmware.com/specifications/vmdk.html#sparse', '{http://schemas.dmtf.org/ovf/envelope/1/}vm_snapshot_id': '1e8816ff-c97e-49d3-9618-729a202a1bdd', '{http://schemas.dmtf.org/ovf/envelope/1/}parentRef': '', '{http://schemas.dmtf.org/ovf/envelope/1/}fileRef': '73b240ae-9eca-4024-8fd9-fdd7504b647e/84074688-0f05-4774-ad1c-07297758808d', '{http://schemas.dmtf.org/ovf/envelope/1/}actual_size': '0', '{http://schemas.dmtf.org/ovf/envelope/1/}disk-alias': 'test001_Disk1', '{http://schemas.dmtf.org/ovf/envelope/1/}volume-format': 'RAW', '{http://schemas.dmtf.org/ovf/envelope/1/}boot': 'true', '{http://schemas.dmtf.org/ovf/envelope/1/}size': '1', '{http://schemas.dmtf.org/ovf/envelope/1/}volume-type': 'Sparse', '{http://schemas.dmtf.org/ovf/envelope/1/}diskId': '84074688-0f05-4774-ad1c-07297758808d', '{http://schemas.dmtf.org/ovf/envelope/1/}disk-interface': 'VirtIO'}) class(<Element Disk at 208f368>)
DEBUG: new ovf file UUID (7f442680-1579-4eea-a426-1cf3a5e743a8)
DEBUG: tag(TemplateId) text(00000000-0000-0000-0000-000000000000) attr({})
DEBUG: tag(Section) text(
      ) attr({'{http://www.w3.org/2001/XMLSchema-instance}type': 'ovf:OperatingSystemSection_Type', '{http://schemas.dmtf.org/ovf/envelope/1/}id': '30c12dfd-5e1c-423a-bb66-18f01588703a', '{http://schemas.dmtf.org/ovf/envelope/1/}required': 'false'}) class(<Element Section at 208fa48>)
DEBUG: Setting ovf:id in OperatingSystemSection_Type to 7f442680-1579-4eea-a426-1cf3a5e743a8
DEBUG: Old dirname (e07e1a31-2002-4686-863d-c7a3b960acba/master/vms/30c12dfd-5e1c-423a-bb66-18f01588703a)
DEBUG: New dir (e07e1a31-2002-4686-863d-c7a3b960acba/master/vms/7f442680-1579-4eea-a426-1cf3a5e743a8) 
DEBUG: File is e07e1a31-2002-4686-863d-c7a3b960acba/master/vms/7f442680-1579-4eea-a426-1cf3a5e743a8/7f442680-1579-4eea-a426-1cf3a5e743a8.ovf
DEBUG: File to copy: 73b240ae-9eca-4024-8fd9-fdd7504b647e/84074688-0f05-4774-ad1c-07297758808d
DEBUG: Desired size:	2147497633 bytes	2097165.0 1K-blocks	2048.0 MB
DEBUG: Available space in /tmp/tmpNGwQe5/ca414eb9-98ab-422f-8c4e-c2c513231058:	73608986624 bytes	71883776.0 1K-blocks	70199.0 MB
DEBUG: euid(0) egid(0)
DEBUG: euid(0) egid(0)
DEBUG: euid(0) egid(0)
DEBUG: euid(0) egid(0)
DEBUG: euid(0) egid(0)
DEBUG: /bin/umount -t nfs -f  /tmp/tmpNGwQe5
DEBUG: /bin/umount -t nfs -f  /tmp/tmpNGwQe5
DEBUG: _cmds(['/bin/umount', '-t', 'nfs', '-f', '/tmp/tmpNGwQe5'])
DEBUG: returncode(0)
DEBUG: STDOUT()
DEBUG: STDERR()
-%-
Comment 6 Oved Ourfali 2013-10-01 09:26:45 EDT
The image uploader supports only importing one VM.
The bug here was to support using a directory rather than an archive, so looks like it is fixed.
Comment 7 Jiri Belka 2013-10-01 09:31:50 EDT
Ok, then, is17.

But it would be nice to have recursive upload. I can image it would be useful to upload VMs from other data domain etc...
Comment 8 Sandro Bonazzola 2013-10-02 04:16:14 EDT
(In reply to Jiri Belka from comment #7)
> Ok, then, is17.
> 
> But it would be nice to have recursive upload. I can image it would be
> useful to upload VMs from other data domain etc...

Please open a RFE about it. We can think about adding that support in a future release.
Comment 9 Jiri Belka 2013-11-13 04:12:23 EST
RFE opened: BZ1029801
Comment 10 errata-xmlrpc 2014-01-21 11:32:34 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-0078.html

Note You need to log in before you can comment on or make changes to this bug.